## python-xknx 3.10.0

=== docs/Makefile ===
all:
	@echo "Jekyll website for xknx.io"
	@echo ""
	@echo "Preparations:"
	@echo ""
	@echo "bundle install"
	@echo ""
	@echo "Available targets"
	@echo ""
	@echo "build - build website"
	@echo ""
	@echo "serve - start webservice on localhost: http://localhost:4000/"
	@echo ""
	@echo "clean"

install:
	bundle install

build:
	bundle exec jekyll build

serve:
	bundle exec jekyll serve

clean:
	bundle exec jekyll clean

## python-xknx 3.2.0

=== debian/changelog ===
python-xknx (3.2.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 06 Oct 2024 12:24:14 +0200

python-xknx (3.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1082937)

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2024 18:21:42 +0200

=== debian/control ===
Source: python-xknx
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-cryptography,
 python3-freezegun,
 python3-ifaddr,
 python3-mypy,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-xknx
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-xknx.git
Homepage: https://github.com/XKNX/xknx

Package: python3-xknx
Architecture: all
Depends:
 python3-cryptography,
 python3-ifaddr,
 ${misc:Depends},
 ${python3:Depends},
Description: library for the KNX protocol
 This package provides an asynchronous Python library for reading and writing
 KNX/IP packets. XKNX:
  * does cooperative multitasking via asyncio and is 100% thread safe.
  * provides support for KNX/IP routing and tunneling devices.
  * supports KNX IP Secure - via tunneling or routing.
  * supports KNX Data Secure group communication.
  * has strong coverage with unit tests.
  * automatically updates and synchronizes all devices in the background
    periodically.
  * listens for all updates of all devices on the KNX bus and updates the
    corresponding internal objects.
  * has a clear abstraction of data/network/logic-layer.
  * does clean connect and disconnect requests to the tunneling device and
    reconnects if KNX/IP connection failed.
 .
 This package is a dependency of Home Assistant.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/XKNX/xknx.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/XKNX/xknx refs/tags/(\d[brc\d\.]+)

## python-xknx 3.6.0

=== debian/changelog ===
python-xknx (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add my name to debian/copyright and Uploaders.
  * Update debhelper-compat to version 13.
  * Update Standards-Version.
  * Set PYBUILD_TEST_ARGS=--no-cov to stop coverage report generation.
  * Skip tests that accesses the network. (Closes: #1084765)

 -- Edward Betts <edward@4angle.com>  Wed, 26 Mar 2025 15:37:24 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Edward Betts <edward@4angle.com>
 Build-Depends:
- debhelper-compat (= 11),
- dh-python,
+ debhelper-compat (= 13),
  openstack-pkg-tools,
  pybuild-plugin-pyproject,
  python3-all,
@@ -19,7 +19,7 @@
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-xknx
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-xknx.git
 Homepage: https://github.com/XKNX/xknx

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov -k "not test_scan_timeout and not test_start_secure_routing_knx_keys and not test_start_secure_routing_manual"

UPSTREAM_GIT := https://github.com/XKNX/xknx.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

## python-xknx 3.10.0

=== debian/changelog ===
python-xknx (3.10.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1115784).
  * Skip two tests that need network access.
  * Add <!nocheck> to test dependencies.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Wed, 22 Oct 2025 06:53:51 +0100

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- python3-cryptography,
- python3-freezegun,
- python3-ifaddr,
- python3-mypy,
- python3-pytest,
- python3-pytest-asyncio,
- python3-pytest-cov,
+ python3-cryptography <!nocheck>,
+ python3-freezegun <!nocheck>,
+ python3-ifaddr <!nocheck>,
+ python3-mypy <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-xknx
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-xknx.git

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=--no-cov -k "\
	not test_scan_timeout and \
	not test_start_secure_routing_knx_keys and \
	not test_start_secure_routing_manual and \
	not test_routing_indication_multicast and \
	not test_start_secure_routing_explicit_keyring"

UPSTREAM_GIT := https://github.com/XKNX/xknx.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/XKNX/xknx refs/tags/(\d[brc\d\.]+)

## python-xknx 3.10.1

=== debian/changelog ===
python-xknx (3.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to format version 5.

 -- Edward Betts <edward@4angle.com>  Tue, 11 Nov 2025 08:10:56 +0000

=== debian/watch ===
Version: 5

Template: Github
Owner: XKNX
Project: xknx

## python-xknx 3.13.0

=== debian/changelog ===
python-xknx (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 04 Jan 2026 09:34:33 +0000

## python-xknx 3.14.0

=== debian/changelog ===
python-xknx (3.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Fri, 16 Jan 2026 07:03:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-xknx
 Section: python
-Priority: optional
 Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
@@ -19,7 +18,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-xknx
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-xknx.git
 Homepage: https://github.com/XKNX/xknx
